| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
PreStack::EventsAPIMgr Class Reference
PreStackProcessing

API Manager for PreStack Events. More...

`#include <prestackeventsapimgr.h>`

## Public Member Functions
| EventsAPIMgr ()
| ~EventsAPIMgr ()
void | closeReader (int handle)
float | crlDistance () const
void | getDip (int handle, int eventindex, float &inldip, float &crldip)
void | getEvent (int handle, int eventindex, float *offsets, float *angles, float *depths, float *quality) const
int | getEventSize (int handle, int eventindex) const
int | getHorizonID (int handle, int eventindex, int &horid) const
int | getNextCDP (int handle, int previnl, int prevcrl, int &nextinl, int &nextcrl)
int | getNrEvents (int handle) const
void | getQuality (int handle, int eventindex, float &weight) const
int | getRanges (int handle, int &firstinl, int &lastinl, int &inlstep, int &firstcrl, int &lastcrl, int &crlstep) const
float | inlDistance () const
int | moveReaderTo (int handle, int inl, int crl)
int | openReader (const char *reference)
int | setSurvey (const char *dataroot, const char *survey)

## Static Public Member Functions
static EventsAPIMgr & | getMgr ()

## Protected Attributes
TypeSet< BinID > | curpos_
ObjectSet< PreStack::EventManager > | events_
TypeSet< int > | ids_
ObjectSet< BinIDValueSet > | locations_
ObjectSet< Vel::Picks > | velpicks_

## Detailed Description

API Manager for PreStack Events.

<>

## Constructor & Destructor Documentation

## ◆ EventsAPIMgr()

PreStack::EventsAPIMgr::EventsAPIMgr | ( |  | ) |

## ◆ ~EventsAPIMgr()

PreStack::EventsAPIMgr::~EventsAPIMgr | ( |  | ) |

## Member Function Documentation

## ◆ closeReader()

void PreStack::EventsAPIMgr::closeReader | ( | int | handle | ) |

## ◆ crlDistance()

float PreStack::EventsAPIMgr::crlDistance | ( |  | ) | const

## ◆ getDip()

void PreStack::EventsAPIMgr::getDip | ( | int | handle,
|  | int | eventindex,
|  | float & | inldip,
|  | float & | crldip )

## ◆ getEvent()

void PreStack::EventsAPIMgr::getEvent | ( | int | handle,
|  | int | eventindex,
|  | float * | offsets,
|  | float * | angles,
|  | float * | depths,
|  | float * | quality ) const

## ◆ getEventSize()

int PreStack::EventsAPIMgr::getEventSize | ( | int | handle,
|  | int | eventindex ) const

## ◆ getHorizonID()

int PreStack::EventsAPIMgr::getHorizonID | ( | int | handle,
|  | int | eventindex,
|  | int & | horid ) const

## ◆ getMgr()

static EventsAPIMgr & PreStack::EventsAPIMgr::getMgr | ( |  | ) |
| static

## ◆ getNextCDP()

int PreStack::EventsAPIMgr::getNextCDP | ( | int | handle,
|  | int | previnl,
|  | int | prevcrl,
|  | int & | nextinl,
|  | int & | nextcrl )

## ◆ getNrEvents()

int PreStack::EventsAPIMgr::getNrEvents | ( | int | handle | ) | const

## ◆ getQuality()

void PreStack::EventsAPIMgr::getQuality | ( | int | handle,
|  | int | eventindex,
|  | float & | weight ) const

## ◆ getRanges()

int PreStack::EventsAPIMgr::getRanges | ( | int | handle,
|  | int & | firstinl,
|  | int & | lastinl,
|  | int & | inlstep,
|  | int & | firstcrl,
|  | int & | lastcrl,
|  | int & | crlstep ) const

## ◆ inlDistance()

float PreStack::EventsAPIMgr::inlDistance | ( |  | ) | const

## ◆ moveReaderTo()

int PreStack::EventsAPIMgr::moveReaderTo | ( | int | handle,
|  | int | inl,
|  | int | crl )

## ◆ openReader()

int PreStack::EventsAPIMgr::openReader | ( | const char * | reference | ) |

## ◆ setSurvey()

int PreStack::EventsAPIMgr::setSurvey | ( | const char * | dataroot,
|  | const char * | survey )

## Member Data Documentation

## ◆ curpos_

TypeSet<BinID> PreStack::EventsAPIMgr::curpos_
| protected

## ◆ events_

ObjectSet<PreStack::EventManager> PreStack::EventsAPIMgr::events_
| protected

## ◆ ids_

TypeSet<int> PreStack::EventsAPIMgr::ids_
| protected

## ◆ locations_

ObjectSet<BinIDValueSet> PreStack::EventsAPIMgr::locations_
| protected

## ◆ velpicks_

ObjectSet<Vel::Picks> PreStack::EventsAPIMgr::velpicks_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025